Limit supported pci-id's to the new ones added by 550

Bug #2061830 reported by Timo Aaltonen
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-550 (Ubuntu)
Fix Released
Undecided
Timo Aaltonen
Jammy
Fix Released
Undecided
Unassigned
Mantic
Fix Released
Undecided
Unassigned
Noble
Fix Released
Undecided
Timo Aaltonen
nvidia-graphics-drivers-550-server (Ubuntu)
Fix Released
Undecided
Unassigned
Jammy
Fix Released
Undecided
Unassigned
Mantic
Fix Released
Undecided
Unassigned
Noble
Fix Released
Undecided
Unassigned

Bug Description

Since 550 wasn't included in the beta we should limit the potential impact on 24.04 stability by limiting the driver to be loaded only on the new hw supported by this driver. This will be temporary until we are ready to migrate 535 to 550.

The id list for 'Pmaliases' is not modified, as that only tells gpu-manager to enable runtime power management for matching GPUs.

Timo Aaltonen (tjaalton)
Changed in nvidia-graphics-drivers-550 (Ubuntu Noble):
assignee: nobody → Timo Aaltonen (tjaalton)
Timo Aaltonen (tjaalton)
description: updated
Timo Aaltonen (tjaalton)
Changed in nvidia-graphics-drivers-550 (Ubuntu Noble):
status: New → Fix Committed
Changed in nvidia-graphics-drivers-550-server (Ubuntu Noble):
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-550 - 550.67-0ubuntu3

---------------
nvidia-graphics-drivers-550 (550.67-0ubuntu3) noble; urgency=medium

  * Limit supported pci-id's to the new ones supported by this release.
    (LP: #2061830)

 -- Timo Aaltonen <email address hidden> Tue, 16 Apr 2024 13:37:41 +0300

Changed in nvidia-graphics-drivers-550 (Ubuntu Noble):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-550-server - 550.54.15-0ubuntu2

---------------
nvidia-graphics-drivers-550-server (550.54.15-0ubuntu2) noble; urgency=medium

  * Limit supported pci-id's to the new ones supported by this release.
    (LP: #2061830)

 -- Timo Aaltonen <email address hidden> Tue, 16 Apr 2024 15:50:36 +0300

Changed in nvidia-graphics-drivers-550-server (Ubuntu Noble):
status: Fix Committed → Fix Released
Revision history for this message
Andy Whitcroft (apw) wrote : Update Released

The verification of the Stable Release Update for nvidia-graphics-drivers-550 has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-550 - 550.67-0ubuntu1.22.04.2

---------------
nvidia-graphics-drivers-550 (550.67-0ubuntu1.22.04.2) jammy; urgency=medium

  * Limit supported pci-id's to the new ones added by this release.
    (LP: #2061830)

nvidia-graphics-drivers-550 (550.67-0ubuntu1.22.04.1) jammy; urgency=medium

  * Initial release (LP: #2055384)

 -- Timo Aaltonen <email address hidden> Tue, 16 Apr 2024 18:14:23 +0300

Changed in nvidia-graphics-drivers-550 (Ubuntu Jammy):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-550-server - 550.54.15-0ubuntu0.22.04.2

---------------
nvidia-graphics-drivers-550-server (550.54.15-0ubuntu0.22.04.2) jammy; urgency=medium

  * Limit supported pci-id's to the new ones added by this release.
    (LP: #2061830)

nvidia-graphics-drivers-550-server (550.54.15-0ubuntu0.22.04.1) jammy; urgency=medium

  * New Upstream release (LP: 2059115)

 -- Timo Aaltonen <email address hidden> Tue, 16 Apr 2024 18:26:19 +0300

Changed in nvidia-graphics-drivers-550-server (Ubuntu Jammy):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-550 - 550.67-0ubuntu1.23.10.2

---------------
nvidia-graphics-drivers-550 (550.67-0ubuntu1.23.10.2) mantic; urgency=medium

  * Limit supported pci-id's to the new ones added by this release.
    (LP: #2061830)

nvidia-graphics-drivers-550 (550.67-0ubuntu1.23.10.1) mantic; urgency=medium

  * Initial release (LP: #2055384)

 -- Timo Aaltonen <email address hidden> Tue, 16 Apr 2024 18:34:17 +0300

Changed in nvidia-graphics-drivers-550 (Ubuntu Mantic):
status: New → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-550-server - 550.54.15-0ubuntu0.23.10.3

---------------
nvidia-graphics-drivers-550-server (550.54.15-0ubuntu0.23.10.3) mantic; urgency=medium

  * Limit supported pci-id's to the new ones added by this release.
    (LP: #2061830)

 -- Timo Aaltonen <email address hidden> Tue, 16 Apr 2024 18:35:17 +0300

Changed in nvidia-graphics-drivers-550-server (Ubuntu Mantic):
status: New → Fix Released
Revision history for this message
Alexey (exit9) wrote :

No one driver is working for me on Asus Laptop with intel + GeForce 1650 dual videocards. This is BUG. "Oops something goes wrong" and system can't recover until uninstall Nvidia drivers in recovery mode. Tried 550, 545, 535 and 470 drivers.

Revision history for this message
faattori (fatordee) wrote :

How can one manually bypass this restriction with "ubuntu-drivers" to install the 550 series driver to easily upgrade to new hardware that is only supported in the 550 series driver?

Because now one can't easily install the 550 driver in advance which would have support for both the old hardware in my system and the new hardware.

Revision history for this message
Alex (mrtortilla) wrote :
Revision history for this message
faattori (fatordee) wrote :

Thank you but that is a completely different way to install drivers than using the specifically provided software by ubuntu to handle it easily.

Revision history for this message
faattori (fatordee) wrote :

Well, I braved any driver issues and I can confirm the 535 drivers supported the 4080 Super enough to go into X without any issues where I could then use the ubuntu-drivers to install the 550 driver series.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.